---
- hosts: local

  vars: 
    st_dir: "{{ ansible_env.HOME }}/git/st"
    dwm_dir: "{{ ansible_env.HOME }}/git/dwm"
    slock_dir: "{{ ansible_env.HOME }}/git/slock"
    home_dir: "{{ ansible_env.HOME }}/git/home"
    lastpass_dir: "{{ ansible_env.HOME }}/git/lastpass-cli"
    fonts_dir: "{{ ansible_env.HOME}}/.fonts"
    git_email: "bryon@fryer.io"
    git_username: "bryfry"
    golang_tar: https://storage.googleapis.com/golang/go1.7.linux-amd64.tar.gz
    scp_url: https://github.com/adobe-fonts/source-code-pro/archive/2.030R-ro/1.050R-it.zip  
    scp_dir: source-code-pro-2.030R-ro-1.050R-it
    

  tasks:  
  - name: apt - update && upgrade && autoremove
    apt:
      update_cache: yes
      cache_valid_time: 3600
      upgrade: full
      autoremove: yes
    become: yes
    tags: apt

  - name: apt - utilities
    apt: 
      name: "{{ item }}"
      state: latest
    become: yes
    tags: apt
    with_items:
    # misc tools
    - htop
    - vim
    - git
    - screen
    - apt-file # search apt for header files
    - chromium-browser
    # laptop tools
    - xbacklight
    - powertop
    # screen capture / playback
    - x11-apps
    - ffmpeg
    - mplayer
    - netpbm
    # bluetooth
    - bluez
    - bluez-tools
    # wireless
    - wpasupplicant
  
  - include: tasks/ntp.yml
  - include: tasks/audio.yml
  - include: tasks/st.yml
  - include: tasks/dwm.yml
  - include: tasks/slock.yml
  - include: tasks/home.yml
  - include: tasks/xorg.yml
  - include: tasks/systemd.yml
  - include: tasks/lastpass.yml
  - include: tasks/sourcecodepro.yml
  - include: tasks/battery.yml
  - include: tasks/golang.yml
  - include: tasks/git.yml


